Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.modeshape.graph.request
Enum CreateWorkspaceRequest.CreateConflictBehavior

    java.lang.Object
      java.lang.Enum<CreateWorkspaceRequest.CreateConflictBehavior>
          org.modeshape.graph.request.CreateWorkspaceRequest.CreateConflictBehavior

All Implemented Interfaces:
  Serializable, Comparable<CreateWorkspaceRequest.CreateConflictBehavior>

Enclosing class:
  CreateWorkspaceRequest

    public static enum CreateWorkspaceRequest.CreateConflictBehavior

extends Enum<CreateWorkspaceRequest.CreateConflictBehavior>

The options for the behavior when a request specifies a workspace name that already is used by an existing workspace.

Enum Constant Summary
`CREATE_WITH_ADJUSTED_NAME` Create the workspace by adjusting the name so that it is unique.
`DO_NOT_CREATE` Do not create the workspace, and record as an `error` on the request.

Method Summary
`static CreateWorkspaceRequest.CreateConflictBehavior` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CreateWorkspaceRequest.CreateConflictBehavior[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DO_NOT_CREATE

    public static final CreateWorkspaceRequest.CreateConflictBehavior DO_NOT_CREATE

  Do not create the workspace, and record as an `error` on the request.

### CREATE_WITH_ADJUSTED_NAME

    public static final CreateWorkspaceRequest.CreateConflictBehavior CREATE_WITH_ADJUSTED_NAME

  Create the workspace by adjusting the name so that it is unique.

Method Detail

### values

    public static CreateWorkspaceRequest.CreateConflictBehavior[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CreateWorkspaceRequest.CreateConflictBehavior c : CreateWorkspaceRequest.CreateConflictBehavior.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CreateWorkspaceRequest.CreateConflictBehavior valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.